/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumIsocode;
import de.ship.db.enums.EnumTransCategory;
import de.ship.db.tables.VCoreTranslation;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreTranslationRecord extends TableRecordImpl<VCoreTranslationRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.v_core_translation.pk_core_translationkey</code>.
     */
    public void setPkCoreTranslationkey(Integer value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_core_translation.pk_core_translationkey</code>.
     */
    public Integer getPkCoreTranslationkey() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_translation.pk_core_translation</code>.
     */
    public void setPkCoreTranslation(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_translation.pk_core_translation</code>.
     */
    public Integer getPkCoreTranslation() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_translation.fk_trans_key</code>.
     */
    public void setFkTransKey(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_translation.fk_trans_key</code>.
     */
    public String getFkTransKey() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_translation.isocode</code>.
     */
    public void setIsocode(EnumIsocode value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_translation.isocode</code>.
     */
    public EnumIsocode getIsocode() {
        return (EnumIsocode) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_translation.category</code>.
     */
    public void setCategory(EnumTransCategory value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_translation.category</code>.
     */
    public EnumTransCategory getCategory() {
        return (EnumTransCategory) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_translation.value</code>.
     */
    public void setValue(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_translation.value</code>.
     */
    public String getValue() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreTranslationRecord
     */
    public VCoreTranslationRecord() {
        super(VCoreTranslation.V_CORE_TRANSLATION);
    }

    /**
     * Create a detached, initialised VCoreTranslationRecord
     */
    public VCoreTranslationRecord(Integer pkCoreTranslationkey, Integer pkCoreTranslation, String fkTransKey, EnumIsocode isocode, EnumTransCategory category, String value) {
        super(VCoreTranslation.V_CORE_TRANSLATION);

        setPkCoreTranslationkey(pkCoreTranslationkey);
        setPkCoreTranslation(pkCoreTranslation);
        setFkTransKey(fkTransKey);
        setIsocode(isocode);
        setCategory(category);
        setValue(value);
        resetChangedOnNotNull();
    }
}
